curl --request POST \
--url https://api.quiva.ai/storage/obj \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bucket": "app-documents",
"description": "Application document storage"
}
'{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "internal_error"
}Object Store
Create object store bucket
Creates a new object store bucket
POST
/
storage
/
obj
curl --request POST \
--url https://api.quiva.ai/storage/obj \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bucket": "app-documents",
"description": "Application document storage"
}
'{
"message": "success"
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "internal_error"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Bad Request
Example:
"success"